当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 19:11 

注册: 2007-01-21 14:04
帖子: 157
送出感谢: 1
接收感谢: 0 次
刚挂载squashfs的texlive2005,结果失败了,提示
代码:
mount: wrong fs type, bad option, bad superblock on /dev/loop1,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

照着提示做
代码:
$ dmesg |tail

[33065.279602] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[33065.281080] SQUASHFS error: Major/Minor mismatch, older Squashfs 2.1 filesystems are unsupported

squashfs不保证向下兼容,麻烦了 :em20

在9.04下还能挂载的,所以,用9.04的帮个忙吧,上传个文建给我啊
代码:
/lib/modules/2.6.28-*-generic/kernel/fs/squashfs/squashfs.ko

具体的目录不记得了

记得先tar一下啊,论坛对附件格式好像有限制
呵呵


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 19:24 
头像

注册: 2008-06-23 15:19
帖子: 3030
地址: 北欧某国
系统: ���������
送出感谢: 21
接收感谢: 6
我压缩了一下。
附件:
文件注释: /lib/modules/2.6.30-020630-generic/kernel/fs/squashfs
squashfs.ko.tar.gz [14.47 KiB]
被下载 18 次


_________________
http://noie.name 网站改版中。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 19:40 

注册: 2007-01-21 14:04
帖子: 157
送出感谢: 1
接收感谢: 0 次
呵呵,骗不过去,

代码:
$ sudo modprobe  squashfs
FATAL: Error inserting squashfs (/lib/modules/2.6.31-11-generic/kernel/fs/squashfs/squashfs.ko): Invalid module format


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 19:50 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
这个和内核有关系,不单是一个文件的问题。


_________________
Grub2 基础教程


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 19:56 

注册: 2007-01-21 14:04
帖子: 157
送出感谢: 1
接收感谢: 0 次
想的太简单了
不知道有没比较小动作的方法能挂载低版本的squashfs啊、

smallapple 写道:
这个和内核有关系,不单是一个文件的问题。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 20:04 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
安装squashfs 3.3的试试,不保证绝对可用
http://mirror.rootguide.org/ubuntu/pool ... 2_i386.deb


_________________
Grub2 基础教程


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 20:14 

注册: 2007-01-21 14:04
帖子: 157
送出感谢: 1
接收感谢: 0 次
smallapple 写道:
安装squashfs 3.3的试试,不保证绝对可用
http://mirror.rootguide.org/ubuntu/pool ... 2_i386.deb

mount 和 squashfs-tools 没关系啊
squashfs-tools 是创建和解压 squashfs 文建的


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 20:17 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 20
mount的话可能要降内核才可以。 :em02


_________________
Grub2 基础教程


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 9.10不能挂载老版本的squashfs了、
帖子发表于 : 2009-10-09 20:53 

注册: 2007-01-21 14:04
帖子: 157
送出感谢: 1
接收感谢: 0 次
smallapple 写道:
mount的话可能要降内核才可以。 :em02

降内核不现实

还是直接上texlive网络安装吧,没办法、 :em06


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译